ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Iface.Recomp.Binary

Contents

- Computing fingerprints

Description

Computing fingerprints of values serializable with GHC's "Binary" module.

Synopsis

- fingerprintBinMem :: BinHandle -> IO Fingerprint
- computeFingerprint :: Binary a => (BinHandle -> Name -> IO ()) -> a -> IO Fingerprint
- putNameLiterally :: BinHandle -> Name -> IO ()

# Computing fingerprints

fingerprintBinMem :: BinHandle -> IO Fingerprint #

computeFingerprint :: Binary a => (BinHandle -> Name -> IO ()) -> a -> IO Fingerprint #

putNameLiterally :: BinHandle -> Name -> IO () #

Used when we want to fingerprint a structure without depending on the fingerprints of external Names that it refers to.